SDK installation fails

Hello,

Unfortunately I had to reinstall Atom editor and jibo-sdk; however, when trying to install jibo-sdk, I receive an error:

npm ERR! remote: Invalid username or password.
npm ERR! fatal: Authentication failed for ‘https://github.com/jiborobot/pixi.js.git/

When I try to run the following command in a terminal, I am being asked for a login credentials.
git clone --template=/Users/user/.atom/.apm/_git-remotes/_templates --mirror https://github.com/jiborobot/pixi.js.git /Users/radim/.atom/.apm/_git-remotes/git-https-github-com-jiborobot-pixi-js-git-dev-57d99534

Does anyone experience a similar problem?

My apologies that you are experiencing this issue. Our team has pushed a change that should clear things up for you.

You will want to exit and re-open Atom. Before attempting to install the SDK again you will want to run the following command in your terminal/command line:

npm install pixi.js

Once you do that you should try installing the SDK once more.

As noted in our recent updates that highlight forthcoming SDK features, the SDK will include a Adobe Animate Pipeline. We have updates our dependencies for the current SDK to prepare for this new feature and running that pixi npm install command will allow your system to take that into account.

I am also working with our team to make sure our installation documentation is update to reflect this as soon as possible.

If you continue to see this issue after performing that command and attempting a fresh install please do not hesitate to let us know!

1 Like

Hello @Admin.JiboSupport,

Thank you for the great support. Everything worked well after installing pixi.js into .atom/packages/jibo-sdk/node_modules directory.